server {
	listen 80 default_server reuseport;
	listen [::]:80 default_server reuseport;

  include includes/mirror.conf;
}

server {
	listen 443 ssl default_server reuseport;
	listen [::]:443 ssl default_server reuseport;

	ssl_certificate /etc/ssl/private/csclub-wildcard-chain.crt;
	ssl_certificate_key /etc/ssl/private/csclub-wildcard.key;
  include includes/ssl.conf;

  include includes/mirror.conf;
}

# ca.releases.ubuntu.com
server {
	listen 80;
	listen [::]:80;

  include includes/ubuntu.conf;
}

# ca.ceph.com
server {
	listen 80;
	listen [::]:80;
  
  include includes/ceph.conf;
}

server {
	listen 443 ssl;
	listen [::]:443 ssl;

  ssl_certificate /etc/dehydrated/certs/ca.ceph.com/fullchain.pem;
	ssl_certificate_key /etc/dehydrated/certs/ca.ceph.com/privkey.pem;
  include includes/ssl.conf;

  include includes/ceph.conf;
}
